Subject: Re: linux-next: manual merge of the generic-ioremap tree with the drivers-x86 tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 28 Jan 2020 10:03:11 +1100

Hi all,

On Fri, 24 Jan 2020 16:15:58 +1100 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the generic-ioremap tree got a conflict in:
> 
>   drivers/platform/x86/intel_scu_ipc.c
> 
> between commit:
> 
>   74e9748b9b21 ("platform/x86: intel_scu_ipc: Drop intel_scu_ipc_i2c_cntrl()")
> 
> from the drivers-x86 tree and commit:
> 
>   4bdc0d676a64 ("remove ioremap_nocache and devm_ioremap_nocache")
> 
> from the generic-ioremap tree.
> 
> I fixed it up (the former removed the code updated by the latter, so I
> just did that) and can carry the fix as necessary. This is now fixed as
> far as linux-next is concerned, but any non trivial conflicts should be
> mentioned to your upstream maintainer when your tree is submitted for
> merging.  You may also want to consider cooperating with the maintainer
> of the conflicting tree to minimise any particularly complex conflicts.

This is now a conflict between the driver-x86 tree and Linus' tree.

-- 
Cheers,
Stephen Rothwell